# Class FormSubmitEvent

java.lang.Object
java.util.EventObject
javax.swing.event.HyperlinkEvent
javax.swing.text.html.HTMLFrameHyperlinkEvent
javax.swing.text.html.FormSubmitEvent

All Implemented Interfaces:
  `Serializable`

public final class FormSubmitEvent extends HTMLFrameHyperlinkEvent
FormSubmitEvent is used to notify interested parties that a form was submitted.

Since:
  1.5

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`FormSubmitEvent.MethodType`
Represents an HTML form method type.

### Nested classes/interfaces declared in class HyperlinkEvent

`HyperlinkEvent.EventType`

## Field Summary

### Fields declared in class EventObject

`source`

## Method Summary

Modifier and Type
Method
Description
`String`
`getData()`
Gets the form submission data.
`FormSubmitEvent.MethodType`
`getMethod()`
Gets the form method type.

### Methods declared in class HTMLFrameHyperlinkEvent

`getTarget`

### Methods declared in class HyperlinkEvent

`getDescription, getEventType, getInputEvent, getSourceElement, getURL`

### Methods declared in class EventObject

`getSource, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getMethod

public FormSubmitEvent.MethodType getMethod()
Gets the form method type.

Returns:
  the form method type, either `Method.GET` or `Method.POST`.

### getData

public String getData()
Gets the form submission data.

Returns:
  the string representing the form submission data.